# data/egg | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

- data/egg

# Module data/egg

## Classes

Egg

## Interfaces

IEggOptions

## Variables

EGG_SEED

## Functions

getEggTierForSpecies
getLegendaryGachaSpeciesForTimestamp
getValidLegendaryGachaSpecies

### Settings

Member Visibility

- Protected
- Inherited
- External

Theme

### On This Page

Classes
Egg
Interfaces
IEggOptions
Variables
EGG_SEED
Functions
getEggTierForSpecies
getLegendaryGachaSpeciesForTimestamp
getValidLegendaryGachaSpecies